Subject: sys_chown vs. sys_lchown

From: Florian Lohoff <[email-masked]>
Date: Mon, 17 Apr 2000 13:17:01 +0200

Hi,
i have discovered some interesting things concerning the chown/lchown
syscall:

gcc -O2 -s -o usermod usermod.o ../libmisc/libmisc.a ../lib/libshadow.a -lcrypt
../libmisc/libmisc.a(chowndir.o): In function `chown_tree':
chowndir.c(.text+0x248): warning: lchown is not implemented and will always fail

I discovered a anomaly there when trying to compile current strace
which has sys_lchown which is sys_chown in current glibc and fails
to compile thereof.

I am not shure where the actual problem is but there
is someone more knowledged ...

Flo
-- 
Florian Lohoff		[email-masked]		      	+49-subject-2-change
"Technology is a constant battle between manufacturers producing bigger and
more idiot-proof systems and nature producing bigger and better idiots."

---

From: Florian Lohoff <[email-masked]>
Date: Mon, 17 Apr 2000 18:42:27 +0200

On Mon, Apr 17, 2000 at 06:12:25PM +0200, Wichert Akkerman wrote:
> Previously Florian Lohoff wrote:
> strace got that from include/asm-mips/unistd.h from a 2.3.99pre5 kernel
> tree, which should be authoritive. Are you sure that your glibc is
> compiled correctly?

;) As this is made by Ralf Baechle the "Master himself" ill trust that :)

Flo